Buf(1)

NAME
buf-plugin-push - Push a check plugin to a registry

SYNOPSIS
buf plugin push [flags]

DESCRIPTION
The first argument is the plugin full name in the format .

OPTIONS
--binary=""
    The path to the Wasm binary file to push.

--create[=false]
    Create the plugin if it does not exist. Defaults to creating a private plugin on the BSR if --create-visibility is not set. Must be used with --create-type.

--create-type=""
    The plugin's type setting, if created. Can only be set with --create-type. Must be one of [check]

--create-visibility="private"
    The module's visibility setting, if created. Can only be set with --create. Must be one of [public,private]

-h, --help[=false]
    help for push

--label=[]
    Associate the label with the plugins pushed. Can be used multiple times.

--source-control-url=""
    The URL for viewing the source code of the pushed plugins (e.g. the specific commit in source control).

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=2m0s
    The duration until timing out, setting it to zero means no timeout

SEE ALSO
buf-plugin(1)

HISTORY
2025-10-20 Auto generated by spf13/cobra